## texinfo 5.2.0.dfsg.1

=== doc/refcard/Makefile ===
# $Id: Makefile,v 1.4 2012-09-21 17:40:44 karl Exp $
# Makefile for texinfo/doc/refcard.
# This is not hooked into Automake, just here for those working on the refcard.
#
# Copyright 2008, 2012 Free Software Foundation, Inc.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

doc = txirefcard

# parallel makes, etc., will fail.
all: $(doc).pdf $(doc)-a4.pdf

# trying to get it work with pdftex isn't worth the trouble.
$(doc).pdf: $(doc).tex
	tex '\nonstopmode \input $(doc)'
	dvips -t landscape -t letter $(doc) -o
	ps2pdf $(doc).ps

$(doc)-a4.pdf: $(doc).tex
	tex '\nonstopmode \let\afour=1 \input $(doc)'
	dvips -t landscape -t a4 $(doc) -o
	ps2pdf $(doc).ps $@

check: ccheck vcheck

ccheck:
	txicmdcheck $(txi_check_args)

vcheck:
	txivarcheck $(txi_check_args)

clean:
	rm -f $(doc)*.dvi $(doc)*.log $(doc)*.ps

distclean: clean
	rm -f $(doc)*.pdf

=== contrib/texifont/tests/Makefile ===
TEX=tex
DIFF=diff

define run_test
$(TEX) $@.tex 2>&1 \
  | $(DIFF) -u -I '^This is TeX, Version 3\..*' $@.out -
endef

$(foreach target,newfont subst,$def_test)

define def_test
all: $(target)
$(target)::
	$(run_test)
endef

#.PHONY: all
#
#$(call def_test,newfont)
#
#all: newfont
#
#all: subst
#
#newfont::
#	$(run_test)
#
#subst::
#	$(run_test)

## texinfo 4.11.dfsg.1-4

=== debian/changelog ===
texinfo (4.11.dfsg.1-4) unstable; urgency=low

  * Maemo port

 -- Colin Leroy <colin@colino.net>  Sat, 20 Dec 2008 15:30:36 +0100

texinfo (4.11.dfsg.1-3) unstable; urgency=low

  * do not trigger regeneration of texi2dvi.1 at build time, remove the
    B-D on help2man (Closes: #452582)
  * really fix the erronous direntries (Closes: #451268)
  * bump standards version to 3.7.3, no changes needed

 -- Norbert Preining <preining@debian.org>  Thu, 20 Dec 2007 07:42:31 +0100

texinfo (4.11.dfsg.1-2) unstable; urgency=low

  * edit the changelog entry from 4.11.dfsg.1-1 to close the bugs in a
    more explicit way
  * fix erronous direntries (Closes: #451268)

 -- Norbert Preining <preining@debian.org>  Wed, 14 Nov 2007 18:52:13 +0100

texinfo (4.11.dfsg.1-1) unstable; urgency=low

  * new upstream release (Closes: #435558)
    - fixes race condition causing crashes when resizing (Closes: #345739)
    - generates valid xml files (Closes: #335016)
    - do not truncate command key listing (Closes: #376280)
    - allow ~ in the file path (Closes: #439877)
    - ships new texinfo.tex (Closes: #446443)
  * Recommend installing texlive instead of tetex-bin in texi2dvi
    (Closes: #440796)
  * switch to quilt
  * disable the following patches:
    - 30_texindex_racecondition: does not appply
    - 31_segfault-when-resizing-terminal: upstream
    - 32_makinfo_css_fix: upstream
    - 33_texindex_CVE-2006-4810: upstream
    - 52_missing_dir_in_texinputs: does not apply
    - 61_man_Top: upstream
    - 62_localesettings: upstream
    refresh the other patches
  * add build-dep on help2man
  * suggest texinfo-doc-nonfree (Closes: #428339)
  * add Vcs-Svn and Vcs-Browser field in debian/control

 -- Norbert Preining <preining@debian.org>  Mon, 05 Nov 2007 13:42:18 +0100

texinfo (4.8.dfsg.1-6) unstable; urgency=low

  * add texlive-latex-base to the suggests (lcircle font)
  * add a remark in README.Debian that for building dvi/pdf you need the
    packages suggested by texinfo (Closes: #421192)
  * remove po/*.gmo in the clean target to fix double build FTBFS
    (Closes: #424218)
  * change maintainer to Debian TeX maintainers, put me in uploaders

 -- Norbert Preining <preining@debian.org>  Thu, 17 May 2007 22:16:10 +0200

texinfo (4.8.dfsg.1-5) unstable; urgency=low

  * adjust suggests to include texlive-generic-recommended and remove
    tetex (Closes: #422518)
  * lintian fixes:
    - move dh compat setting from rules to debian/compat
    - save control file in UTF8

 -- Norbert Preining <preining@debian.org>  Tue, 15 May 2007 15:00:37 +0200

texinfo (4.8.dfsg.1-4) unstable; urgency=high

  * Apply patch by Josh Bressers <bressers@redhat.com> to fix
    CVE-2006-4810, added as 33_texindex_CVE-2006-4810.dpatch
  * Add myself to Uploaders so this doesn't look like an NMU.  

 -- Frank Küster <frank@debian.org>  Wed, 22 Nov 2006 12:04:54 +0100

texinfo (4.8.dfsg.1-3) unstable; urgency=medium

  * changed maintainer email address to preining@debian.org
  * add a patch from Werner Koch to fix copying of @import in
    makeinfo/html.c (Closes: #388396)
  * fix installation if tetex is not configured by adding another test
    for the existence of fmtutil.cnf (Closes: #391421)
    Setting urgency to medium as this RC bug present in testing.

 -- Norbert Preining <preining@debian.org>  Sun,  8 Oct 2006 12:14:27 +0200

texinfo (4.8.dfsg.1-2) unstable; urgency=medium

  * standards version 3.7.2, no changes necessary
  * fix a missing translation/locale fix (thanks Sven Joachim)
    (Closes: #367243)
  * extend wording of the copyright file to clear the differences between
    info --version (and man page) and the actual copyright. Add a note that
    the file COPYING mentioned contains GPLv2. (Closes: #380128)
    (urgency set to medium as this is an RC bug present in testing)

 -- Norbert Preining <preining@logic.at>  Thu, 10 Aug 2006 11:16:29 +0200

texinfo (4.8.dfsg.1-1) unstable; urgency=low

  * first version with split out GFDL licensed documentation into
    texinfo-doc-nonfree (Closes: #356916)
  * switch to debhelper level 5
  * add a README.Debian file explaining where the documentation has gone.

 -- Norbert Preining <preining@logic.at>  Wed, 12 Apr 2006 02:33:30 +0200

texinfo (4.8-8) unstable; urgency=low

  * Include texinfo.tex version 2006-02-13.16 in order to fix the FTBFS of
    tramps where ifclear couldn't nest properly (Closes: #357009)
  * Update the locale settings patch so that month names are not
    translated (Closes: #113988)

 -- Norbert Preining <preining@logic.at>  Thu, 23 Mar 2006 18:31:49 +0100

texinfo (4.8-7) unstable; urgency=low

  * include a patch that ensures that locale settings do not influence
    output files (Closes: #113988). Also add a NEWS.Debian in the texinfo
    package that explains the change of functionality in makeinfo.
  * adjust the texinfo.postinst script to really check whether tex-common
    is configured by checking for /e/texmf/texmf.cnf (Closes: #356476).
  * remove texmf-texlive from the arguments of mktexlsr in the postinst script
    of texinfo.

 -- Norbert Preining <preining@logic.at>  Tue, 14 Mar 2006 10:22:24 +0100

texinfo (4.8-6) unstable; urgency=low

  * edit the changelog entry for -5 on the texinfo.tex inclusion to be
    useful, thanks Frank Küster for mentioning this.
  * Conflict with tetex << 3 which has a kpsewhich with different
    cmd-line options. (Closes: #354351)
  * add a check for the existence of fmt.d/00tex.cnf to the texinfo.postinst
    as update-fmtutil may already be present, but not this file, as we
    do not depend on tex-common anymore and tex-common may be configured
    later than texinfo.
  * fix the dreadful info shows top manpage when called with an inexistent
    command line argument (Closes: #234848)

 -- Norbert Preining <preining@logic.at>  Wed,  1 Mar 2006 03:07:29 +0100

texinfo (4.8-5) unstable; urgency=low

  * Fix segfault when resizing the terminal rapidly by checking more


=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 5), quilt, libncurses5-dev | libncurses-dev, gettext
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/texinfo/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/texinfo/trunk/

Package: texinfo
Section: text
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}
Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
Conflicts: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices. 
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: info
Section: doc
Priority: important
Architecture: any
Depends: ${shlibs:Depends}
Provides: info-browser
Conflicts: xemacs-support
Suggests: texinfo-doc-nonfree
Replaces: texinfo (<< 4.7-2)
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

# needed for quilt:
export QUILT_PATCHES=./debian/patches

SAVEDGMO=po/nl.gmo po/ro.gmo po/tr.gmo po/de.gmo

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

texinfo := $(CURDIR)/debian/texinfo
tmpdir := $(CURDIR)/debian/tmp

build: build-stamp
build-stamp: patch-stamp
	# texi2dvi has been touched by the patches, so the builder
	# will try to rebuild the man page from texi2dvi but that
	# spits out only a warning that no tex system is installed
	touch doc/texi2dvi.1
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
          --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man'
	touch po/texinfo.pot
	$(MAKE)
	touch $@

patch-stamp:
	quilt push -a
	touch $@

unpatch:
	# unapply patches, not giving an error when quilt says "No patch removed"
	quilt pop -a || [ $$? = 2 ]
	rm -f patch-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	# remove binary gmo files
	rm -f po/*.gmo
	dh_clean install-stamp build-stamp intl/libintl.h config.log

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install install-tex prefix=$(tmpdir)/usr \
                                    TEXMF=$(tmpdir)/usr/share/texmf
	find $(tmpdir) -type f -name dir | xargs rm -f
	# pdfcolor and epsf.tex are in tetex and texlive
	rm -rf $(tmpdir)/usr/share/texmf/tex/plain
	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
	rm -rf $(tmpdir)/usr/share/texmf/pdftex/plain/misc/pdfcolor.tex
	#mkdir -p $(tmpdir)/usr/share/texmf/tex/texinfo/base
	#mv $(tmpdir)/usr/share/texmf/tex/texinfo/*.tex $(tmpdir)/usr/share/texmf/tex/texinfo/base
	dh_install --list-missing --sourcedir=debian/tmp -X share/info
	#
	# install updated texinfo.tex
	#cp debian/texinfo.tex $(texinfo)/usr/share/texmf/tex/texinfo/texinfo.tex
	cp debian/texi2pdf.man $(texinfo)/usr/share/man/man1/texi2pdf.1
	dh_link
	mv $(texinfo)/usr/bin/install-info $(texinfo)/usr/bin/ginstall-info
	sed -e "s/install-info/g&/g" \
		< $(texinfo)/usr/share/man/man1/install-info.1 \
		> $(texinfo)/usr/share/man/man1/ginstall-info.1
	rm -f $(texinfo)/usr/share/man/man1/install-info.1
	cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
	echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
	touch install-stamp

binary-indep:
# There aren't any architecture independent packages here.

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -A AUTHORS INTRODUCTION README NEWS TODO
	dh_installdocs -p texinfo debian/README.cyrtexinfo
	dh_installmenu
	dh_installchangelogs ChangeLog
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# other targets
update-texinfo.tex:
	wget -O $(CURDIR)/debian/texinfo.tex ftp://tug.org/tex/texinfo.tex

.PHONY: build clean binary-indep binary-arch binary install

## texinfo 5.1.dfsg.1

=== debian/control ===
Source: texinfo
Section: doc
Priority: standard
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git

Package: texinfo
Section: text
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl
Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
Multi-Arch: foreign
Description: Documentation system for on-line information and printed output
 Texinfo is a documentation system that uses a single source file to
 produce both on-line information and printed output.
 .
 Using Texinfo, you can create a printed document with the normal features
 of a book, including chapters, sections, cross references, and indices. 
 From the same Texinfo source file, you can create a menu-driven, on-line
 Info file with nodes, menus, cross references, and indices.

Package: info
Section: doc
Priority: important
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, install-info
Provides: info-browser
Suggests: texinfo-doc-nonfree
Replaces: texinfo (<< 4.7-2)
Multi-Arch: foreign
Description: Standalone GNU Info documentation browser
 The Info file format is an easily-parsable representation for online
 documents. This program allows you to view Info documents, like the
 ones stored in /usr/share/info.
 .
 Much of the software in Debian comes with its online documentation in
 the form of Info files, so it is most likely you will want to install it.

Package: install-info
Section: doc
Priority: important
Architecture: any
Pre-Depends: dpkg (>= 1.16.1)
Replaces: texinfo (<< 4.13a.dfsg.1-2)
Breaks: texinfo (<< 4.13a.dfsg.1-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Manage installed documentation in info format
 The install-info utility creates the index of all installed documentation
 in info format and makes it available to info readers.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS

DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

DEB_CFLAGS_MAINT_APPEND=-Wall
# needed for correct building of new texinfo
DEB_CFLAGS_MAINT_STRIP=-Werror=format-security

texinfo := $(CURDIR)/debian/texinfo
ii := $(CURDIR)/debian/install-info
tmpdir := $(CURDIR)/debian/tmp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	./configure $(shell dpkg-buildflags --export=configure) \
	  --with-external-Text-Unidecode=yes \
	  --with-external-libintl-perl=yes \
	  --prefix=/usr \
	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man'
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	# work around upstream sources needing native curses for tools builds:
	$(MAKE) -C tools/gnulib/lib
	$(MAKE) -C tools \
		TERMLIBS="/lib/$(DEB_BUILD_GNU_TYPE)/libncurses.so.5" \
		TERMLIBS+="/lib/$(DEB_BUILD_GNU_TYPE)/libtinfo.so.5"
endif
	$(MAKE)
	touch $@

check-stamp: build-stamp
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check ALL_TESTS=yes
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean install-stamp build-stamp check-stamp \
		intl/libintl.h config.log

install: install-stamp

install-stamp: DH_OPTIONS=
install-stamp: build-stamp check-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install install-tex prefix=$(tmpdir)/usr \
                                    TEXMF=$(tmpdir)/usr/share/texmf
	find $(tmpdir) -type f -name dir | xargs rm -f
	#
	# epsf.tex is in texlive
	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
	# install all the files
	dh_install --list-missing --sourcedir=debian/tmp -X share/info
	dh_link
	#
	# install additional files that are not installed by default
	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi
	#
	# work on debian install-info
	mv $(ii)/usr/bin/install-info $(ii)/usr/bin/ginstall-info
	sed -e "s/install-info/g&/g" \
		< $(ii)/usr/share/man/man1/install-info.1 \
		> $(ii)/usr/share/man/man1/ginstall-info.1
	rm -f $(ii)/usr/share/man/man1/install-info.1
	install -m 0755 debian/install-info.sh $(ii)/usr/bin/install-info
	install -m 0644 debian/install-info.1 $(ii)/usr/share/man/man1/install-info.1
	install -m 0755 debian/update-info-dir $(ii)/usr/sbin/update-info-dir
	mkdir -p $(ii)/usr/share/man/man8
	install -m 0644 debian/update-info-dir.8 $(ii)/usr/share/man/man8/update-info-dir.8
	cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
	echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
	touch install-stamp

binary-indep:
# There aren't any architecture independent packages here.

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -A AUTHORS README NEWS TODO
	dh_installdocs -p texinfo debian/README.cyrtexinfo \
		doc/refcard/txirefcard*.pdf
		
	dh_installmenu
	dh_installchangelogs ChangeLog
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
endif
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

# other targets
update-texinfo.tex:
	wget -O $(CURDIR)/debian/texinfo.tex ftp://tug.org/tex/texinfo.tex

.PHONY: build clean binary-indep binary-arch binary install

## texinfo 5.2.0.dfsg.1

=== debian/changelog ===
texinfo (5.2.0.dfsg.1-2) unstable; urgency=low

  * update mime handler for plain text output (Closes: #723711)
  * Use dh_autotools-dev to update config.{sub,guess} for new ports.
    Patch from Ubuntu (Closes: #729863), thanks Matthias Klose
  * Fix missing Ctrl-n key binding in info reader (from upstream)

 -- Norbert Preining <preining@debian.org>  Tue, 26 Nov 2013 22:05:23 +0900

texinfo (5.2.0.dfsg.1-1) unstable; urgency=low

  * install mime handler for info files (thanks to Ryde Kevin) (Closes: #723711)
  * new upstream release
  * adapt patches and remove some upstream included ones

 -- Norbert Preining <preining@debian.org>  Mon, 30 Sep 2013 00:17:11 +0900

texinfo (5.1.dfsg.1-5) unstable; urgency=low

  * do not call mktexlsr without arguments in texinfo.postrm (Closes: #717901)
  * allow for cross compiling, patch thanks to Eleanor Chen (Closes: #719907)
  * fix building with perl 5.18 (from upstream svn) (Closes:  #720866)

 -- Norbert Preining <preining@debian.org>  Thu, 05 Sep 2013 11:13:16 +0900

texinfo (5.1.dfsg.1-4) unstable; urgency=low

  * pre-depend on dpkg >= 1.16.1 (for interest-nowait) (Closes: #709443)
  * temporary fix for @enumerate 10 (Closes: #709673)
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 11 Jul 2013 16:39:31 +0900

texinfo (5.1.dfsg.1-3) unstable; urgency=low

  * use interest-noawait for install-info trigger (Closes: #707133)

 -- Norbert Preining <preining@debian.org>  Wed, 08 May 2013 09:02:05 +0900

texinfo (5.1.dfsg.1-2) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Tue, 07 May 2013 13:45:11 +0900

texinfo (5.1.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 5.1.dfsg.1
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 13 Mar 2013 08:36:02 +0900

texinfo (5.0.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 5.0.dfsg.1
    - fixes info segfault on big terminals (Closes: #700354)
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Sun, 17 Feb 2013 23:00:29 +0900

texinfo (4.13.95.dfsg.1-1) experimental; urgency=low

  * Imported Upstream version 4.13.95.dfsg.1

 -- Norbert Preining <preining@debian.org>  Tue, 29 Jan 2013 07:34:56 +0900

texinfo (4.13.94.dfsg.1-1) experimental; urgency=low

  * small fixes to make-orig-tar
  * Imported Upstream version 4.13.94.dfsg.1
  * update patches to new release

 -- Norbert Preining <preining@debian.org>  Sun, 20 Jan 2013 20:25:10 +0900

texinfo (4.13.93.dfsg.1-1) experimental; urgency=low

  * new upstream test release
  * fix displaced cursor on search (Closes: #652204) (texinfo bug #37823)
  * add a script to generate orig tar files
  * update/unfuzzify patches
  * fix wrong control character in some .po files (LP #707931)
  * add help2man to build-dependencies

 -- Norbert Preining <preining@debian.org>  Sun, 06 Jan 2013 12:40:57 +0900

texinfo (4.13.92.dfsg.1-1) experimental; urgency=low

  * new upstream test release
    - fix incomplete redraw in some cases (Closes: #596856)
  * fix Vcs-fields
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 10:41:42 +0900

texinfo (4.13.91.dfsg.1-2) experimental; urgency=low

  * run all checks during build time
  * install txixml2texi into the texinfo package, add libxml-libxml-perl
    to dependency for it

 -- Norbert Preining <preining@debian.org>  Wed, 28 Nov 2012 10:36:09 +0900

texinfo (4.13.91.dfsg.1-1) experimental; urgency=low

  * new upstream releases
    - fixes truncation at TAB chars (LP #394808)
    - regexp isearch works (Closes: #522093)
    - fixing null strings in install-info --help (Closes: #595243)
    - allow makeinfo splitting at chapters (Closes: #228606)
    - regexp searching in info (Closes: #31464) (yeah! 5 digits!)
    - html output contains doctypes (Closes: #214729)
    - proper positioning of book marks in pdfs (Closes: #37515)
    - normal scrolling modes (Closes: #78504)
  * re-enable hardening (Closes: #656659)
  * clean up patches
  * convert to 3.0/quilt format
  * bump compat level to 7

 -- Norbert Preining <preining@debian.org>  Tue, 27 Nov 2012 13:07:56 +0900

texinfo (4.13a.dfsg.1-10) unstable; urgency=low

  * revert hardening - it breaks info (Closes: #669056)

 -- Norbert Preining <preining@debian.org>  Tue, 17 Apr 2012 08:19:26 +0900

texinfo (4.13a.dfsg.1-9) unstable; urgency=low

  [ Norbert Preining ]
  * sign package as multi-arch, to make other packages multi-arch buildable.
    Patch thanks to Wookey (Closes: #666153)
  * bump standards version to 3.9.3, no changes necessary

  [ Hilmar Preuße ]
  * Enabled hardened build flags, thanks to Moritz Mühlenhoff
    (Closes: #656659)
  * Allow texi2dvi to pass the --shell-escape option to TeX
    (already applied to upstream) (Closes: #658983)

 -- Norbert Preining <preining@debian.org>  Fri, 30 Mar 2012 09:01:34 +0900

texinfo (4.13a.dfsg.1-8) unstable; urgency=low

  [ Hilmar Preuße ]
  * Actually apply patch texi2dvi_non-C_locale, really (Closes: #584191)
  * debian/patches/minor-buffer-size-fix: increase stack buffer size
    for sprintf of numeric values (Closes: #639114).

 -- Norbert Preining <preining@debian.org>  Wed, 24 Aug 2011 23:56:17 +0900

texinfo (4.13a.dfsg.1-7) unstable; urgency=low

  * "grep [A-z]" does not work in non-C locale (Closes: #584191)
  * add option -h/--help to update-info-dir, and fix the man page according
    to it. Patch by Jari Aalto <jari.aalto@cante.net> (Closes: #541468)
  * fix lintian errors (missing misc:Depends deps in all packages)
  * remove conflicts on xemacs-support, it does not exist
  * bump standards version to 3.9.2: change conflicts to breaks as we
    are only moving files around (Closes: #611104)
  * info dumps core if # of window rows drops below 6 (Closes: #611151)
  * d/rules: depend build on $(QUILT_STAMPFN) instead of patch, this fixes
    an rare FTBFS caused by the build target having been run twice


=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: texinfo
 Section: doc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man, autotools-dev
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,11 @@
 #export DH_VERBOSE=1
 export DH_OPTIONS
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_TYPE  := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-
 DEB_CFLAGS_MAINT_APPEND=-Wall
 # needed for correct building of new texinfo
 DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
+
+DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 texinfo := $(CURDIR)/debian/texinfo
 ii := $(CURDIR)/debian/install-info
@@ -20,19 +19,13 @@
 
 build-stamp:
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
-	  --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
-	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man'
-ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-	# work around upstream sources needing native curses for tools builds:
-	$(MAKE) -C tools/gnulib/lib
-	$(MAKE) -C tools \
-		TERMLIBS="/lib/$(DEB_BUILD_GNU_TYPE)/libncurses.so.5" \
-		TERMLIBS+="/lib/$(DEB_BUILD_GNU_TYPE)/libtinfo.so.5"
-endif
+	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
+	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	$(MAKE)
 	touch $@
 
@@ -46,6 +39,7 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
+	dh_autotools-dev_restoreconfig
 	dh_clean install-stamp build-stamp check-stamp \
 		intl/libintl.h config.log
 
@@ -97,9 +91,12 @@
 		doc/refcard/txirefcard*.pdf
 		
 	dh_installmenu
+	dh_installmime
 	dh_installchangelogs ChangeLog
+ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
 ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
 	dh_strip
+endif
 endif
 	dh_compress
 	dh_fixperms

=== debian/watch ===
# watch control file for uscan
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://ftp.gnu.org/gnu/texinfo/texinfo-(.*)\.tar\.gz

## texinfo 6.0.0.dfsg.1

=== debian/changelog ===
texinfo (6.0.0.dfsg.1-3) unstable; urgency=medium

  * ignore jpg files in update-info-dir (Closes: #790519)
  * include upstream's fix for index sorting
    - add upstream-svn6390-index-deterministic
    - disable texinfo-make-index-deterministic
  * add a dep on tex-common (>= 6) (Closes: #791588)

 -- Norbert Preining <preining@debian.org>  Tue, 07 Jul 2015 07:50:51 +0900

texinfo (6.0.0.dfsg.1-2) unstable; urgency=medium

  * make texinfo indices reproducible (Closes: #790065) (thanks to Chris Lamb)

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 23:15:25 +0900

texinfo (6.0.0.dfsg.1-1) unstable; urgency=medium

  * Imported Upstream version 6.0.0.dfsg.1
  * unfuzzify for 6.0.0 release

 -- Norbert Preining <preining@debian.org>  Sat, 27 Jun 2015 00:53:21 +0900

texinfo (5.9.96.dfsg.1-2) unstable; urgency=medium

  * use awk by default, change dep to awk (Closes: #790004, #790019)

 -- Norbert Preining <preining@debian.org>  Fri, 26 Jun 2015 20:27:35 +0900

texinfo (5.9.96.dfsg.1-1) unstable; urgency=medium

  * add dependency on gawk (texindex)
  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 15:31:37 +0900

texinfo (5.9.93.dfsg.1-1) experimental; urgency=medium

  * new testing pre-release 5.9.93.dfsg.1
    - last line is found again (Closes: #785724)
    - broken info-dir-entries are not problematic anymore (Closes: #683204)
    - info (cat page) does not produce waste output (Closes: #732237)
  * refresh/clean patches
  * remove cyrtexinfo format definition file, just give explanations
    in README.cyrtexinfo
  * work around implicit aclocal-1.15 build requirement

 -- Norbert Preining <preining@debian.org>  Sun, 07 Jun 2015 09:24:35 +0900

texinfo (5.2.0.dfsg.1-6) unstable; urgency=medium

  * fix bashism in update-info-dir (Closes: #772338)

 -- Norbert Preining <preining@debian.org>  Sun, 07 Dec 2014 21:13:29 +0900

texinfo (5.2.0.dfsg.1-5) unstable; urgency=medium

  * mention texinfo-doc-nonfree in the info man page (Closes: #752731)
  * fix a typo in update-info-dir (thanks to Bernd Dietzel), switch
    to use sh instead of bash
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 21 Oct 2014 09:33:17 +0900

texinfo (5.2.0.dfsg.1-4) unstable; urgency=medium

  * drop old install-info script, make install-info the real program
    and ginstall-info a link to it (Closes: #748433, #479070)
  * move texinfo to priority optional (Closes: #538112)

 -- Norbert Preining <preining@debian.org>  Tue, 03 Jun 2014 14:57:01 +0900

texinfo (5.2.0.dfsg.1-3) unstable; urgency=medium

  * fix broken man pages due to missing tex at build time (Closes: #740343)
  * add patch for texi2any.pl pulled from upstream (Closes: #730599)
  * bump standards version to 3.9.5, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 08 May 2014 07:09:44 +0900

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man, autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git
 
 Package: texinfo
 Section: text
-Priority: standard
+Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl, tex-common (>= 6)
 Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
 Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
 Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,22 @@
 build-stamp:
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	./configure $(shell dpkg-buildflags --export=configure) \
+	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
 	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
 	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
+	# after dh_autotools-dev_updateconfig the man pages would
+	# be rebuild, but we don't have tex installed (and don't want
+	# to add texlive-binaries to build-deps, too big and not used)
+	# so the check we patched in would break the man page generation
+	# see BTS#740343
+	# backup the generated man page texi2dvi.1 and restore it
+	cp man/texi2dvi.1 debian
 	$(MAKE)
+	mv debian/texi2dvi.1 man/
+	touch man/texi2dvi.1
 	touch $@
 
 check-stamp: build-stamp
@@ -59,24 +68,25 @@
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
 	dh_install --list-missing --sourcedir=debian/tmp -X share/info
-	dh_link
 	#
 	# install additional files that are not installed by default
 	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi
 	#
-	# work on debian install-info
-	mv $(ii)/usr/bin/install-info $(ii)/usr/bin/ginstall-info
-	sed -e "s/install-info/g&/g" \
-		< $(ii)/usr/share/man/man1/install-info.1 \
-		> $(ii)/usr/share/man/man1/ginstall-info.1
-	rm -f $(ii)/usr/share/man/man1/install-info.1
-	install -m 0755 debian/install-info.sh $(ii)/usr/bin/install-info
-	install -m 0644 debian/install-info.1 $(ii)/usr/share/man/man1/install-info.1
+	# we ship ginstall-info as link to install-info, it is long enough
+	dh_link
+	dh_link -p install-info \
+		usr/share/man/man1/install-info.1 	\
+		usr/share/man/man1/ginstall-info.1	\
+		usr/bin/install-info 			\
+		usr/bin/ginstall-info
+	#
+	# other scripts to be installed
 	install -m 0755 debian/update-info-dir $(ii)/usr/sbin/update-info-dir
 	mkdir -p $(ii)/usr/share/man/man8
 	install -m 0644 debian/update-info-dir.8 $(ii)/usr/share/man/man8/update-info-dir.8
-	cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
-	echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
+	# we don't do the cyrtexinfo dance anymore
+	#cp debian/conf/50cyrtexinfo.cnf $(texinfo)/etc/texmf/fmt.d
+	#echo "50cyrtexinfo" > $(texinfo)/var/lib/tex-common/fmtutil-cnf/texinfo.list
 	touch install-stamp
 
 binary-indep:

## texinfo 6.1.0.dfsg.1

=== debian/changelog ===
texinfo (6.1.0.dfsg.1-5) unstable; urgency=medium

  * cherrypick upstream svn 7032 to fix case-insensitive info 
    lookups (Closes: #815941)
  * cherrypick upstream svn 7041 to fix single arg macros
    (see #815734 for discussion)

 -- Norbert Preining <preining@debian.org>  Sat, 05 Mar 2016 23:32:21 +0900

texinfo (6.1.0.dfsg.1-4) unstable; urgency=medium

  * cherrypick upstream svn 7031: fix texi2dvi premature exitus

 -- Norbert Preining <preining@debian.org>  Fri, 26 Feb 2016 22:14:44 +0900

texinfo (6.1.0.dfsg.1-3) unstable; urgency=medium

  * cherrypick upstream svn 7022: fix missing output when doing
    info --output - (Closes: #814743)
  * cherrypick upstream svn 7027: remove debug statement
  * bump standards version, no changes necessary
  * adjust git browser address

 -- Norbert Preining <preining@debian.org>  Mon, 22 Feb 2016 09:23:53 +0900

texinfo (6.1.0.dfsg.1-2) unstable; urgency=medium

  * cherrypick upstream svn 7021 for arg parsing (Closes: #814830)

 -- Norbert Preining <preining@debian.org>  Sat, 20 Feb 2016 10:59:57 +0900

texinfo (6.1.0.dfsg.1-1) unstable; urgency=medium

  * new upstream release:
    . support info files in sub directories (Closes: #792328)
  * update make-orig-tar for new prerelease, fix tar name
  * update and cleanup patches
  * use bundled libintl-perl, as the Debian version breaks Texinfo
  * do not patch out version number from automake calls
  * warn_missing_tex: add remark to the original warning message
  * add libperl-dev to build-deps
  * clean out dependency_libs entry from .la files

 -- Norbert Preining <preining@debian.org>  Mon, 08 Feb 2016 14:42:27 +0900

texinfo (6.0.0.dfsg.1-4) unstable; urgency=medium

  * include upstream patch for follow strategies
  * switch back to default mouse behaviour (Closes: #797872)
  * include upstream patch for case sensitive info (Closes: #808869)

 -- Norbert Preining <preining@debian.org>  Thu, 24 Dec 2015 08:24:42 +0900

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: standard
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, libintl-perl, help2man, autotools-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/texinfo.git
+Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git
 
 Package: texinfo
 Section: text
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libintl-perl, libxml-libxml-perl, tex-common (>= 6)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
 Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
 Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
 Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)

=== debian/rules ===
--- 
+++ 
@@ -17,13 +17,19 @@
 build-arch: build-stamp
 build-indep: build-stamp
 
+# The Debian provided libintl-perl breaks several tests and probably
+# also some of the behaviour. Disable it until these problems are fixed
+# on either side.
+#	  --with-external-libintl-perl=yes \
+
+
 build-stamp:
 	dh_testdir
 	dh_autotools-dev_updateconfig
 	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
 	  --with-external-Text-Unidecode=yes \
-	  --with-external-libintl-perl=yes \
 	  --prefix=/usr \
+	  --libexecdir='$${prefix}/lib' \
 	  --infodir='$${prefix}/share/info' --mandir='$${prefix}/share/man' \
 	  --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
 	# after dh_autotools-dev_updateconfig the man pages would
@@ -36,6 +42,7 @@
 	$(MAKE)
 	mv debian/texi2dvi.1 man/
 	touch man/texi2dvi.1
+	# finished
 	touch $@
 
 check-stamp: build-stamp
@@ -64,10 +71,14 @@
                                     TEXMF=$(tmpdir)/usr/share/texmf
 	find $(tmpdir) -type f -name dir | xargs rm -f
 	#
+	# clean out .la files as they contain references to libperl 
+	# which is not necessary
+	sed -i "/dependency_libs/ s/'.*'/''/" `find $(tmpdir) -name '*.la'`
+	#
 	# epsf.tex is in texlive
 	rm -rf $(tmpdir)/usr/share/texmf/tex/generic
 	# install all the files
-	dh_install --list-missing --sourcedir=debian/tmp -X share/info
+	dh_install --fail-missing --sourcedir=debian/tmp -X share/info
 	#
 	# install additional files that are not installed by default
 	install -m 0755 util/txixml2texi $(texinfo)/usr/bin/txixml2texi

## texinfo 6.3.0.dfsg.1

=== debian/changelog ===
texinfo (6.3.0.dfsg.1-1) unstable; urgency=medium

  * make makeinfo honor S_D_E (patch by Alexis Bienvenüe) (Closes: #826158)
  * new upstream releases
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 11 Sep 2016 07:36:51 +0900

texinfo (6.1.0.dfsg.1-8) unstable; urgency=medium

  * add missing dep on perlapi-* (Closes: #825116)

 -- Norbert Preining <preining@debian.org>  Tue, 24 May 2016 07:39:24 +0900

texinfo (6.1.0.dfsg.1-7) unstable; urgency=medium

  * fix unprotected ~ in second pass (Closes: #822492)
  * demote tl-fonts-recommended to suggests (Closes: #824876)

 -- Norbert Preining <preining@debian.org>  Mon, 23 May 2016 14:58:59 +0900

texinfo (6.1.0.dfsg.1-6) unstable; urgency=medium

  * fix TeX macro expansion in index entries (see bug #815205)
  * recommend texlive-fonts-recommended to reduce chances that
    EC fonts are not installed, which are often needed

 -- Norbert Preining <preining@debian.org>  Wed, 13 Apr 2016 09:21:24 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git
 
@@ -12,8 +12,8 @@
 Section: text
 Priority: optional
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
-Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libtext-unidecode-perl, libxml-libxml-perl, tex-common (>= 6)
+Suggests: texlive-base, texlive-latex-base, texlive-generic-recommended, texinfo-doc-nonfree, texlive-fonts-recommended
 Breaks: tetex-bin (<< 3.0), tetex-base (<< 3.0), ja-trans (<= 0.7-3.1)
 Replaces: tetex-base (<< 1.0.2+20000804-9), tetex-bin (<< 3.0)
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -120,6 +120,7 @@
 endif
 endif
 	dh_compress
+	dh_perl /usr/lib/texinfo
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps

## texinfo 6.4.90.dfsg.1

=== debian/changelog ===
texinfo (6.4.90.dfsg.1-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:13:31 +0000

texinfo (6.4.90.dfsg.1-1) unstable; urgency=medium

  * New upstream version 6.4.90.dfsg.1
    - fix crashes in incremental search (Closes: #867827)
    - fix broken texi2dvi for docs without bibtex (private communication)
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Sat, 15 Jul 2017 21:26:54 +0900

texinfo (6.4.0.dfsg.1-2) unstable; urgency=medium

  * upstream cherry pick: info cannot follow cross-refs in some cases

 -- Norbert Preining <preining@debian.org>  Tue, 04 Jul 2017 12:02:11 +0900

texinfo (6.4.0.dfsg.1-1) unstable; urgency=medium

  * adapt make-orig-tar for new release
  * New upstream version 6.4.0
  * update patches
  * bump standards version to 4.0.0, no changes necessary
  * debhelper compat level 9

 -- Norbert Preining <preining@debian.org>  Sat, 24 Jun 2017 11:32:31 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: standard
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
+Standards-Version: 4.0.0
 Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
 Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git

## texinfo 6.5.0.dfsg.1

=== debian/changelog ===
texinfo (6.5.0.dfsg.1-4) unstable; urgency=medium

  * fix infinite loop with Perl 5.28, thanks Niko Tyni (Closes: #902771)
  * passing various flags to xs builder (Closes: #902772)

 -- Norbert Preining <preining@debian.org>  Mon, 02 Jul 2018 07:13:49 +0900

texinfo (6.5.0.dfsg.1-3) unstable; urgency=medium

  * add Homepage fields (Closes: #896558)
  * fix building with upcoming Perl 5.28, thanks Niko Tyni for the patch
    (Closes: #898994)

 -- Norbert Preining <preining@debian.org>  Fri, 18 May 2018 23:00:54 +0900

texinfo (6.5.0.dfsg.1-2) unstable; urgency=medium

  * switch vcs to salsa
  * switch from autotool-dev_{update/restore}config to 
    dh_update_autotools_config
  * accept pre-initialized DEB_HOST_GNU_TYPE
  * update texinfo.tex (Closes: #889647)

 -- Norbert Preining <preining@debian.org>  Mon, 05 Feb 2018 23:48:18 +0900

texinfo (6.5.0.dfsg.1-1) unstable; urgency=medium

  * New upstream version 6.5.0.dfsg.1
  * update patches, remove upstream applied ones

 -- Norbert Preining <preining@debian.org>  Wed, 13 Sep 2017 12:44:49 +0900

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
 Build-Depends: debhelper (>= 9), libncurses5-dev | libncurses-dev, gettext, libtext-unidecode-perl, help2man, autotools-dev, libperl-dev
 Standards-Version: 4.0.0
-Vcs-Git: git://anonscm.debian.org/debian-tex/texinfo.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-tex/texinfo.git
+Vcs-Git: https://salsa.debian.org/tex-team/texinfo.git
+Vcs-Browser: https://salsa.debian.org/tex-team/texinfo
+Homepage: https://www.gnu.org/software/texinfo/
 
 Package: texinfo
 Section: text

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,13 @@
 # needed for correct building of new texinfo
 DEB_CFLAGS_MAINT_STRIP=-Werror=format-security
 
-DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_HOST_GNU_TYPE?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+include /usr/share/dpkg/buildflags.mk
+export CPPFLAGS CFLAGS LDFLAGS
+export PERL_EXT_CFLAGS := $(CFLAGS)
+export PERL_EXT_CPPFLAGS := $(CPPFLAGS)
+export PERL_EXT_LDFLAGS := $(LDFLAGS)
 
 texinfo := $(CURDIR)/debian/texinfo
 ii := $(CURDIR)/debian/install-info
@@ -25,8 +31,8 @@
 
 build-stamp:
 	dh_testdir
-	dh_autotools-dev_updateconfig
-	AWK=awk ./configure $(shell dpkg-buildflags --export=configure) \
+	dh_update_autotools_config
+	AWK=awk ./configure \
 	  --with-external-Text-Unidecode=yes \
 	  --prefix=/usr \
 	  --libexecdir='$${prefix}/lib' \
@@ -55,7 +61,6 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_autotools-dev_restoreconfig
 	dh_clean install-stamp build-stamp check-stamp \
 		intl/libintl.h config.log
